import { DetailStringUploadFieldWidget } from '../../../detail';
export declare class GalleryStringUploadFieldWidget extends DetailStringUploadFieldWidget {
    initialize(config: any): this;
    protected get cdnKey(): any;
    protected get privateLink(): boolean | undefined;
}
/**
 * @deprecated please using GalleryStringUploadFieldWidget
 */
export declare const GalleryUploadStringFieldWidget: typeof GalleryStringUploadFieldWidget;
